osgShadow Namespace Reference

## Classes

class | ConvexPolyhedron
class | DebugShadowMap
class | LightSpacePerspectiveShadowMapAlgorithm
class | LightSpacePerspectiveShadowMapDB
class | LightSpacePerspectiveShadowMapCB
class | LightSpacePerspectiveShadowMapVB
class | MinimalCullBoundsShadowMap
class | MinimalDrawBoundsShadowMap
class | MinimalShadowMap
class | ParallelSplitShadowMap
class | ProjectionShadowMap
class | ShadowedScene
class | ShadowMap
class | ShadowSettings
class | ShadowTechnique
class | ShadowTexture
class | SoftShadowMap
class | StandardShadowMap
class | ViewDependentShadowMap
class | ViewDependentShadowTechnique

## Typedefs

typedef LightSpacePerspectiveShadowMapDB | LightSpacePerspectiveShadowMap

## Detailed Description

The osgShadow library is a NodeKit that extends the core scene graph to add support for a range of shadow techniques.

## Typedef Documentation

## LightSpacePerspectiveShadowMap

typedef LightSpacePerspectiveShadowMapDB osgShadow::LightSpacePerspectiveShadowMap